Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class QueryFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.QueryFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, QueryFactory

    public class QueryFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements QueryFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.QueryFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`QueryFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` | `convertComparatorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertComparatorTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertLogicalOperatorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertLogicalOperatorTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertReturnTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertReturnTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AdhocQueryQueryType` | `createAdhocQueryQueryType()`
`AdhocQueryRequestType` | `createAdhocQueryRequestType()`
`AdhocQueryResponseType` | `createAdhocQueryResponseType()`
`AssociationQueryType` | `createAssociationQueryType()`
`AuditableEventQueryType` | `createAuditableEventQueryType()`
`BooleanFilterType` | `createBooleanFilterType()`
`ClassificationNodeQueryType` | `createClassificationNodeQueryType()`
`ClassificationQueryType` | `createClassificationQueryType()`
`ClassificationSchemeQueryType` | `createClassificationSchemeQueryType()`
`ComparatorType` | `createComparatorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ComparatorType` | `createComparatorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`CompoundFilterType` | `createCompoundFilterType()`
`DateTimeFilterType` | `createDateTimeFilterType()`
`DocumentRoot` | `createDocumentRoot()`
`ExternalIdentifierQueryType` | `createExternalIdentifierQueryType()`
`ExternalLinkQueryType` | `createExternalLinkQueryType()`
`ExtrinsicObjectQueryType` | `createExtrinsicObjectQueryType()`
`FederationQueryType` | `createFederationQueryType()`
`FilterType` | `createFilterType()`
`FloatFilterType` | `createFloatFilterType()`
`java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`IntegerFilterType` | `createIntegerFilterType()`
`InternationalStringBranchType` | `createInternationalStringBranchType()`
`LogicalOperatorType` | `createLogicalOperatorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LogicalOperatorType` | `createLogicalOperatorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`NotificationQueryType` | `createNotificationQueryType()`
`OrganizationQueryType` | `createOrganizationQueryType()`
`PersonQueryType` | `createPersonQueryType()`
`QueryExpressionBranchType` | `createQueryExpressionBranchType()`
`RegistryObjectQueryType` | `createRegistryObjectQueryType()`
`RegistryPackageQueryType` | `createRegistryPackageQueryType()`
`RegistryQueryType` | `createRegistryQueryType()`
`ResponseOptionType` | `createResponseOptionType()`
`ReturnTypeType` | `createReturnTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ReturnTypeType` | `createReturnTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ServiceBindingQueryType` | `createServiceBindingQueryType()`
`ServiceQueryType` | `createServiceQueryType()`
`SlotBranchType` | `createSlotBranchType()`
`SpecificationLinkQueryType` | `createSpecificationLinkQueryType()`
`StringFilterType` | `createStringFilterType()`
`SubscriptionQueryType` | `createSubscriptionQueryType()`
`UserQueryType` | `createUserQueryType()`
`static QueryPackage` | `getPackage()` Deprecated.
`QueryPackage` | `getQueryPackage()`
`static QueryFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### QueryFactoryImpl

    public QueryFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static QueryFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAdhocQueryQueryType

    public AdhocQueryQueryType createAdhocQueryQueryType()

  Specified by:
    `createAdhocQueryQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Adhoc Query Query Type'.

### createAdhocQueryRequestType

    public AdhocQueryRequestType createAdhocQueryRequestType()

  Specified by:
    `createAdhocQueryRequestType` in interface `QueryFactory`
  Returns:
    a new object of class 'Adhoc Query Request Type'.

### createAdhocQueryResponseType

    public AdhocQueryResponseType createAdhocQueryResponseType()

  Specified by:
    `createAdhocQueryResponseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Adhoc Query Response Type'.

### createAssociationQueryType

    public AssociationQueryType createAssociationQueryType()

  Specified by:
    `createAssociationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Association Query Type'.

### createAuditableEventQueryType

    public AuditableEventQueryType createAuditableEventQueryType()

  Specified by:
    `createAuditableEventQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Auditable Event Query Type'.

### createBooleanFilterType

    public BooleanFilterType createBooleanFilterType()

  Specified by:
    `createBooleanFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'Boolean Filter Type'.

### createClassificationNodeQueryType

    public ClassificationNodeQueryType createClassificationNodeQueryType()

  Specified by:
    `createClassificationNodeQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Node Query Type'.

### createClassificationQueryType

    public ClassificationQueryType createClassificationQueryType()

  Specified by:
    `createClassificationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Query Type'.

### createClassificationSchemeQueryType

    public ClassificationSchemeQueryType createClassificationSchemeQueryType()

  Specified by:
    `createClassificationSchemeQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Scheme Query Type'.

### createCompoundFilterType

    public CompoundFilterType createCompoundFilterType()

  Specified by:
    `createCompoundFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'Compound Filter Type'.

### createDateTimeFilterType

    public DateTimeFilterType createDateTimeFilterType()

  Specified by:
    `createDateTimeFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'Date Time Filter Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `QueryFactory`
  Returns:
    a new object of class 'Document Root'.

### createExternalIdentifierQueryType

    public ExternalIdentifierQueryType createExternalIdentifierQueryType()

  Specified by:
    `createExternalIdentifierQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'External Identifier Query Type'.

### createExternalLinkQueryType

    public ExternalLinkQueryType createExternalLinkQueryType()

  Specified by:
    `createExternalLinkQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'External Link Query Type'.

### createExtrinsicObjectQueryType

    public ExtrinsicObjectQueryType createExtrinsicObjectQueryType()

  Specified by:
    `createExtrinsicObjectQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Extrinsic Object Query Type'.

### createFederationQueryType

    public FederationQueryType createFederationQueryType()

  Specified by:
    `createFederationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Federation Query Type'.

### createFilterType

    public FilterType createFilterType()

  Specified by:
    `createFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'Filter Type'.

### createFloatFilterType

    public FloatFilterType createFloatFilterType()

  Specified by:
    `createFloatFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'Float Filter Type'.

### createIntegerFilterType

    public IntegerFilterType createIntegerFilterType()

  Specified by:
    `createIntegerFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'Integer Filter Type'.

### createInternationalStringBranchType

    public InternationalStringBranchType createInternationalStringBranchType()

  Specified by:
    `createInternationalStringBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'International String Branch Type'.

### createNotificationQueryType

    public NotificationQueryType createNotificationQueryType()

  Specified by:
    `createNotificationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Notification Query Type'.

### createOrganizationQueryType

    public OrganizationQueryType createOrganizationQueryType()

  Specified by:
    `createOrganizationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Organization Query Type'.

### createPersonQueryType

    public PersonQueryType createPersonQueryType()

  Specified by:
    `createPersonQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Person Query Type'.

### createQueryExpressionBranchType

    public QueryExpressionBranchType createQueryExpressionBranchType()

  Specified by:
    `createQueryExpressionBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'Expression Branch Type'.

### createRegistryObjectQueryType

    public RegistryObjectQueryType createRegistryObjectQueryType()

  Specified by:
    `createRegistryObjectQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Object Query Type'.

### createRegistryPackageQueryType

    public RegistryPackageQueryType createRegistryPackageQueryType()

  Specified by:
    `createRegistryPackageQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Package Query Type'.

### createRegistryQueryType

    public RegistryQueryType createRegistryQueryType()

  Specified by:
    `createRegistryQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Query Type'.

### createResponseOptionType

    public ResponseOptionType createResponseOptionType()

  Specified by:
    `createResponseOptionType` in interface `QueryFactory`
  Returns:
    a new object of class 'Response Option Type'.

### createServiceBindingQueryType

    public ServiceBindingQueryType createServiceBindingQueryType()

  Specified by:
    `createServiceBindingQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Service Binding Query Type'.

### createServiceQueryType

    public ServiceQueryType createServiceQueryType()

  Specified by:
    `createServiceQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Service Query Type'.

### createSlotBranchType

    public SlotBranchType createSlotBranchType()

  Specified by:
    `createSlotBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'Slot Branch Type'.

### createSpecificationLinkQueryType

    public SpecificationLinkQueryType createSpecificationLinkQueryType()

  Specified by:
    `createSpecificationLinkQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Specification Link Query Type'.

### createStringFilterType

    public StringFilterType createStringFilterType()

  Specified by:
    `createStringFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'String Filter Type'.

### createSubscriptionQueryType

    public SubscriptionQueryType createSubscriptionQueryType()

  Specified by:
    `createSubscriptionQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Subscription Query Type'.

### createUserQueryType

    public UserQueryType createUserQueryType()

  Specified by:
    `createUserQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'User Query Type'.

### createComparatorTypeFromString

    public ComparatorType createComparatorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### convertComparatorTypeToString

    public java.lang.String convertComparatorTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createLogicalOperatorTypeFromString

    public LogicalOperatorType createLogicalOperatorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertLogicalOperatorTypeToString

    public java.lang.String convertLogicalOperatorTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createReturnTypeTypeFromString

    public ReturnTypeType createReturnTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### convertReturnTypeTypeToString

    public java.lang.String convertReturnTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createComparatorTypeObjectFromString

    public ComparatorType createComparatorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertComparatorTypeObjectToString

    public java.lang.String convertComparatorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

### createLogicalOperatorTypeObjectFromString

    public LogicalOperatorType createLogicalOperatorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertLogicalOperatorTypeObjectToString

    public java.lang.String convertLogicalOperatorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.Object instanceValue)

### createReturnTypeTypeObjectFromString

    public ReturnTypeType createReturnTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertReturnTypeTypeObjectToString

    public java.lang.String convertReturnTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

### getQueryPackage

    public QueryPackage getQueryPackage()

  Specified by:
    `getQueryPackage` in interface `QueryFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static QueryPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD